<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>{{ user_info.response.players[0].personaname }}</title>
        <link rel="stylesheet" href="../static/css/profile.css">
        <script type="text/javascript">
            window.onload = function () {
            }

            async function getRecommendations() {
                document.getElementById("similarGames").innerHTML = '<div class="loader"></div>';

                let url = "/api/" + '{{ steam_id|safe }}' + "/similarGames";
                const response = await fetch(url);
                let data = await response.json();

                // Check if data is an array and has at least one game
                if (Array.isArray(data) && data.length > 0) {
                    // Clear previous content
                    document.getElementById("similarGames").innerHTML = '';

                    // Iterate over each game in the data array
                    data.forEach(async (game) => {
                        // Fetch game information
                        let gameInfoUrl = "/api/" + game.appid + "/gameInfo";
                        let gameInfoResponse = await fetch(gameInfoUrl);
                        let gameInfoData = await gameInfoResponse.json();

                        // Check if gameInfoData has the required structure
                        if (gameInfoData && gameInfoData[game.appid] && gameInfoData[game.appid].data) {
                            let gameInfo = gameInfoData[game.appid].data;

                            // Create HTML elements for each game and append to the container
                            let gameElement = document.createElement('div');
                            var urlReadyName = encodeURIComponent(gameInfo.name);
                            gameElement.innerHTML = `
                                <div class="stat-box">
                                    ${gameInfo.header_image ? `<img src="${gameInfo.header_image}" alt="Game Image" class="game-image">` : ''}
                                    <a href=/gameInfo?name=${urlReadyName}><h1 class="game-type" id="game-title">${gameInfo.name}</h1></a>
                                    <p class="game-type" id="game-type">Type: <span class="bold">${gameInfo.type}</span></p>
                                    ${gameInfo.metacritic ? `<p class="game-type" id="score">Score : <span class="bold">${gameInfo.metacritic.score || 'N/A'}</span></p>` : ''}
                                    <p class="game-type">Release Date: <span class="bold">${gameInfo.release_date ? gameInfo.release_date.date : 'N/A'}</span></p>
                                    <p class="game-type">Developers: <span class="bold">${gameInfo.developers || 'N/A'}</span></p>
                                    <p class="game-type">Publishers: <span class="bold">${gameInfo.publishers || 'N/A'}</span></p>
                                    <p class="game-type" id="player-count">Player count: <span class="bold">${game.player_count || 'N/A'}</span></p>
                                    ${gameInfo.price_overview ? `<p class="game-type">Price: <span class="bold">${gameInfo.price_overview.final_formatted || 'N/A'}</span></p>` : ''}
                                    <p class="game-type">About: <span class="bold">${gameInfo.short_description || 'N/A'}</span></p>
                                </div>
                            `;

                            document.getElementById("similarGames").appendChild(gameElement);
                        }
                    });
                } else {
                    // Display a message if there are no recommendations
                    document.getElementById("similarGames").innerHTML = '<p>No recommendations found</p>';
                }
            }
    </script>
    </head>

    <body>
        <nav>
            <a href="/" class="site-name">Home</a>
            <form action="/api/search-user" method="post">
                <input type="text" name="user-search-bar"
                    placeholder="User profile...">
                <input type="submit" value="Search">
            </form>
        </nav>

        <div class="container">
            <div class="stat-box">
                <div class="stat-boxes">
                    <div class="user-info-container">
                        <!-- Display Steam Username -->
                        <span id="username">{{
                            user_info.response.players[0].personaname }}</span>

                        <!-- Display Steam Avatar -->
                        {% if user_info and user_info.response.players[0].avatarfull %}
                            <div class="avatar-container">
                                <img
                                    src="{{ user_info.response.players[0].avatarfull }}"
                                    alt="Steam Avatar">
                            </div>
                        {% else %}
                            <p>Avatar not available</p>
                        {% endif %}
                    </div>
                </div>

                <div class="user-info">
                    <!-- Check if lastseenonline info exists -->
                    {% if user_info and user_info.response.players[0].lastlogoff %}
                    <p>Last Seen Online: 
                        <span class="bold">
                            {{ user_info.response.players[0].lastlogoff | timestamp_to_datetime }}
                        </span>
                    </p>
                    {% endif %}
                    
                    <p>Time Created: 
                        <span class="bold">
                            {{ user_info.response.players[0].timecreated | timestamp_to_datetime }}
                        </span>
                    </p>

                    <p>Community Visibility State: 
                        <span class="bold">
                            {{ user_info.response.players[0].communityvisibilitystate }}
                        </span>
                    </p>

                    <p>Steam ID: 
                        <span class="bold">
                            {{ user_info.response.players[0].steamid }}
                        </span>
                    </p>

                    <p>Profile State: 
                        <span class="bold">
                            {{ user_info.response.players[0].profilestate }}
                        </span>
                    </p>

                    <p>Primary Clan ID: 
                        <span class="bold">
                            {{ user_info.response.players[0].primaryclanid }}
                        </span>
                    </p>

                    <p>Profile URL: 
                        <a href="{{ user_info.response.players[0].profileurl }}"
                            target="_blank">
                            <span class="bold">
                                {{ user_info.response.players[0].profileurl }}
                            </span>
                        </a>
                    </p>
                </div>
            </div>

            <!-- Game recommendations content -->
            <h1> Recommended Games </h1>

            <span id="similarGames">
                <button class="search-button" onclick="getRecommendations()">Get
                    Recommendations</button>
            </span>

        </body>
    </html>